# Documentation

Menu

## QRMatrixDebugTrait

QRMatrixDebugTrait.php : 22

Trait QRMatrixDebugTrait

### Table of Contents

#### Methods

debugMatrix() : void
  Matrix debugging console output
dm() : void
  debugging shortcut - limit to a single version when using with matrixProvider

### Methods

#### debugMatrix()

QRMatrixDebugTrait.php : 27

Matrix debugging console output

`protected debugMatrix(QRMatrix $matrix) : void`

##### Parameters

$matrix : QRMatrix

#### dm()

QRMatrixDebugTrait.php : 84

debugging shortcut - limit to a single version when using with matrixProvider

`protected dm(QRMatrix $matrix) : void`

##### Parameters

$matrix : QRMatrix

##### Tags

see
  QRMatrixTest::matrixProvider()

## Search results